%define upstream_name	 HTML-Lint
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module to check for HTML errors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser) >= 3.470.0
BuildRequires: perl(HTML::Tagset) >= 3.30.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This Perl module is used to check for HTML errors in strings or files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/HTML
%{perl_vendorlib}/Test
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.200.0-2.mga3
+ Revision: 368033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.200.0-1.mga3
+ Revision: 254991
- update to 2.20

* Mon Dec 12 2011 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 180958
- update to 2.10

* Fri Jan 21 2011 jquelin <jquelin> 2.60.0-1.mga1
+ Revision: 29581
- mageia rebuild
- imported package perl-HTML-Lint

